On this page

    Tiles API

    Embeddable HTML viewer

    GET https://api.maptiler.com/tiles/{tilesId}/

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    tilesId
    string
    Identifier of the tiles. See MapTiler Tiles.
    Example: satellite-v4
    Request example
    
      https://api.maptiler.com/tiles/satellite-v4/?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 text/html

    XYZ tiles

    GET https://api.maptiler.com/tiles/{tilesId}/{z}/{x}/{y}

    The individual tiles. Can be used with various libraries to display the tiles (e.g. Leaflet, OpenLayers, ...). It's usually better (if possible) to use the TileJSON rather than using the tile URL directly.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    tilesId
    string
    Identifier of the tiles. See MapTiler Tiles.
    Example: satellite-v4
    z
    integer
    Zoom level. Specifies the tile’s zoom level. See Tiles à la Google Maps
    x
    integer
    Column. Specifies the tile’s column. See Tiles à la Google Maps
    y
    integer
    Row. Specifies the tile’s row. See Tiles à la Google Maps
    Request example
    
      https://api.maptiler.com/tiles/satellite-v4/10/536/358?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 *
    204

    Tile not present – presumed empty (empty response)

    400

    Out of bounds

    403

    Key is missing, invalid or restricted

    404

    The item does not exist

    TileJSON

    GET https://api.maptiler.com/tiles/{tilesId}/tiles.json

    TileJSON describing the metadata of the tiles as well as link to the XYZ tiles. Can be used with various libraries to display the tiles (e.g. Leaflet, OpenLayers, ...).

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    tilesId
    string
    Identifier of the tiles. See MapTiler Tiles.
    Example: satellite-v4
    Request example
    
      https://api.maptiler.com/tiles/satellite-v4/tiles.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json https://raw.githubusercontent.com/maptiler/tilejson-spec/master/2.2.0/schema.json TileJSON

    OGC API - Tiles

    GET https://api.maptiler.com/tiles/{tilesId}/tiles

    Tileset landing page of the tiles. Can be used in software supporting the OGC API - Tiles v1.0 specification.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    tilesId
    string
    Identifier of the tiles. See MapTiler Tiles.
    Example: satellite-v4
    Request example
    
      https://api.maptiler.com/tiles/satellite-v4/tiles?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json

    OGC API TileMatrixSets

    GET https://api.maptiler.com/tiles/{tilesId}/tileMatrixSet

    Description of the tileset tile matrix sets according to the OGC Web API. This resource is linked from the OGC API - Tiles endpoint.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    tilesId
    string
    Identifier of the tiles. See MapTiler Tiles.
    Example: satellite-v4
    Request example
    
      https://api.maptiler.com/tiles/satellite-v4/tileMatrixSet?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json

    WMTS Capabilities

    GET https://api.maptiler.com/tiles/{tilesId}/WMTSCapabilities.xml

    WMTS Capabilities XML document describing the metadata of the tiles as well as link to the XYZ tiles. Can be used with various GIS software (e.g. QGIS) to display the tiles.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    tilesId
    string
    Identifier of the tiles. See MapTiler Tiles.
    Example: satellite-v4
    Request example
    
      https://api.maptiler.com/tiles/satellite-v4/WMTSCapabilities.xml?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 text/xml
    Using the OpenAPI Specification?
    Get the openapi.yaml

    Was this helpful?

    MapTiler API
    Tiles API
    Tiles API